terraform {
  backend "http" { 
      address = "http://myrest.api.com/foo" 
      lock_address = "http://myrest.api.com/foo"
      unlock_address = "http://myrest.api.com /foo"
  } 
  required_providers {
    gitlab = {
      source = "gitlabhq/gitlab"
      version = "3.13.0"
    }
  }
}

variable "gitlab_access_token" {
    type = string
}

provider "gitlab" {
  token = var.gitlab_access_token
}

data "gitlab_project" "terraform-cicd" {
  id = 3407
}

resource "gitlab_project_variable" "sample_project" {
  project   = data.gitlab_project.terraform-cicd.id
  key       = "example_variable"
  value     = "Greetings Bilal!"
  protected = false
}
